%define upstream_name    Net-Route
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Portable interface to the routing table
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Moose)
BuildRequires: perl(NetAddr::IP)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
The Net::Route Module
    Every OS provides its custom interface to the routing table: Linux'
    'route' utility is different from BSD's 'route show', from Windows'
    'route print', etc. Parsing all these different output styles in an
    (otherwise portable) script can quickly become inconvenient.

    the Net::Route manpage abstracts the system specifics and provides a
    single, portable interface.

The Net::Route Class
    the Net::Route manpage objects represent single entries from a the
    Net::Route::Table manpage.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
# (tv) disable tests that need networking:
rm -f t/50-integration.t l
%make test

%install
%make_install

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-10.mga8
+ Revision: 1505589
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-9.mga7
+ Revision: 1285143
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 tv <tv> 0.20.0-8.mga7
+ Revision: 1169092
- disable tests that need networking

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1031316
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 942965
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 747469
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 513560
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 370860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 shlomif <shlomif> 0.20.0-1.mga3
+ Revision: 301618
- Correct downstream version

* Thu Dec 01 2011 kharec <kharec> 0.2.0-1.mga2
+ Revision: 174754
- Add a missing BR on Test::Exception
- imported package perl-Net-Route


* Thu Dec 01 2011 cpan2dist v0.02-1mga
- initial mageia release, generated with cpan2dist
